Installing a joystick or other game controller

There are two ways to install game controllers, depending on whether you have a USB controller, or a game port or serial port controller. Consult the device manual to determine which type of device you have, and then click an option.

  • USB controller

  • Game port or serial port controller


Remove a game controller

To remove a game controller

  1. Open Game Controllers in Control Panel.
  2. On the General tab, click the controller you want to remove, and then click Remove.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • If you have a USB controller, you can remove it by unplugging it from your computer.

Related Topics


Turn on the pedal or rudder of a game controller

To turn on the pedal or rudder of a game controller

  1. Open Game Controllers in Control Panel.
  2. Click the controller with the rudder or pedal you want to activate, and then click Remove.
  3. Click Add, and then click the controller with the rudder or pedal you want to activate.
  4. Select the Rudder/Pedals check box, and then click OK to reinstall the controller.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.


Test a game controller

To test a game controller

  1. Open Game Controllers in Control Panel.
  2. On the General tab, click the controller you want to test, and then click Properties.
  3. Click the Test tab, and then test your controller by moving or pressing each control, including the stick, wheel, yoke, pads, and buttons.

    After you perform an action with the controller, view the results on the Test tab.

Notes

  • If the controller is not functioning properly, it may need to be calibrated. To calibrate it, click the Settings tab, and then click Calibrate.
  • To return the controller to the default settings, on the Settings tab, click Reset to Default.


Calibrate a game controller

To calibrate a game controller

  1. Open Game Controllers in Control Panel.
  2. On the General tab, click the controller you want to calibrate, and then click Properties.
  3. On the Settings tab, click Calibrate, and then follow the instructions on your screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • To return the controller to the default settings, on the Settings tab, click Reset to Default.


Troubleshooting overview

If you encounter problems installing a game controller, the following information can help you diagnose and solve the problem.

If you have a USB controller

Troubleshoot problems installing a USB controller.

Troubleshooting recommendations

If you have a game port or serial port controller

Troubleshoot problems installing a game port or serial port controller.

Troubleshooting recommendations

If a game doesn't recognize a controller

Some games, especially some DOS and Windows 3.x games, recognize only one controller even if more than one controller is installed. If your game doesn't recognize the controller you want to use, make sure the device is assigned to Controller ID 1.

Step-by-step procedure

If you plug a controller into a different port

If you plug a controller into a different port than it was originally installed on, it may not work until you add the controller again in Game Controllers and change the port assignment.

Step-by-step procedure


If you plug a controller into a different port

  1. Open Game Controllers in Control Panel.
  2. Click Add.
  3. In Game Controllers, click the name or description of your device.
  4. In Port, click the port the controller is attached to, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • The Port option appears only if your computer has more than one game port.


If a game doesn't recognize a controller

  1. Open Game Controllers in Control Panel.
  2. On the Advanced tab, click the controller you want to change, and then click Change.
  3. In Change Controller Assignment, click the up or down arrow to select an ID for the controller, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.


Install a game port or serial port game controller

To install a game port or serial port game controller

  1. Attach the game controller to a game port or serial port.
  2. Open Game Controllers in Control Panel.
  3. Click Add.
  4. In Game Controllers, click the name or description of your device.
  5. In Port, click the port the controller is attached to, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • The Port option appears only if your computer has more than one game port.
  • If your controller is not in the Game Controllers list in step 4, and you have a device installation disk, click Add Other and follow the instructions on your screen.
  • If your controller is not in the Game Controllers list in step 4, and you do not have a device installation disk, consult the device manual to see if a listed device is compatible with yours. If so, select the compatible device from the list and proceed to step 5. You can also click Custom and create a custom device from the options listed.


Install a USB game controller

To install a USB game controller

  • Attach the game controller to the USB port.

Note

  • The computer can be on when you attach the controller. Windows 2000 will detect the device when you attach it.


Rename a game controller

To rename a game controller

  1. Open Game Controllers in Control Panel.
  2. Right-click the name of the controller you want to rename, and then click Rename.
  3. Enter the name you want to use.

Notes

  • If, after renaming a controller, you add a second controller of the same type, it will appear in the Game Controllers list with the same name you used for the first controller. To distinguish between the two, you can give the second controller a different name.


If a game port or serial port controller doesn't install properly

  • If the controller appears in Device Manager, right-click the controller name and click Properties. In Device Status, a message will describe any problems and suggest what action to take. For more information about using Device Manager, see Related Topics.
  • You can also use the Hardware troubleshooter to diagnose and solve problems with hardware devices such as game controllers. Start the Hardware troubleshooter.

Note

  • You must be logged on as an administrator or a member of the Administrators group in order to complete procedures using Device Manager.


If a USB controller doesn't install properly

If a USB game controller doesn't install properly

  • In Device Manager, USB game controllers are listed under Human Interface Devices (when viewing Devices by type, which is the default view). If the controller does not appear in Device Manager, then USB may not be enabled in BIOS. When prompted during system startup, enter BIOS setup and enable USB.
  • If USB is enabled in BIOS but the USB host controller does not appear in Device Manager (under Universal Serial Bus controllers), or a yellow warning icon appears next to the host controller name, then the version of BIOS may be outdated. Contact the maker or vendor for your computer and obtain the current version of BIOS.
  • If the controller appears in Device Manager, right-click the controller name and click Properties. In Device Status, a message will describe any problems and suggest what action to take. For more information about using Device Manager, see Related Topics.
  • USB ports have a separate entry in Device Manager. To check the device status, click Universal Serial Bus controllers, right-click USB Root Hub, and then click Properties.
  • You can also use the Hardware troubleshooter to diagnose and solve problems with hardware devices such as USB game controllers. Start the Hardware troubleshooter.

Note

  • You must be logged on as an administrator or a member of the Administrators group in order to complete procedures using Device Manager.